Show / Hide Table of Contents

# Class GuildChannelProperties

Properties that are used to modify an IGuildChannel with the specified changes.

##### Inheritance

System.Object
GuildChannelProperties
TextChannelProperties
VoiceChannelProperties

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class GuildChannelProperties

### Properties

| Improve this Doc View Source

#### CategoryId

Gets or sets the category ID for this channel.

##### Declaration

    public Optional<ulong?> CategoryId { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Nullable<System.UInt64>> |

##### Remarks

Setting this value to a category's snowflake identifier will change or set this channel's parent to the specified channel; setting this value to `0` will detach this channel from its parent if one is set.

| Improve this Doc View Source

#### Name

Gets or sets the channel to this name.

##### Declaration

    public Optional<string> Name { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.String> |

##### Remarks

This property defines the new name for this channel.

##### warning

When modifying an ITextChannel, the Name must be alphanumeric with dashes. It must match the RegEx `[a-z0-9-_]{2,100}`.

| Improve this Doc View Source

#### Position

Moves the channel to the following position. This property is zero-based.

##### Declaration

    public Optional<int> Position { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Int32> |

### See Also

ModifyAsync(System.Action<GuildChannelProperties>, RequestOptions)